Book_1_Chapter_3_Blackwolds_Broken = class(Window);

function Book_1_Chapter_3_Blackwolds_Broken:GetName()
	return "Book 1, Chapter 3: Blackwolds Broken";
end

function Book_1_Chapter_3_Blackwolds_Broken:IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_3_Blackwolds_Broken:Start()	
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 1, Capítulo 3: Blackwolds Dispersos");--título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end
	
	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);
	
	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");
	
	-- adiciona (append) STARTS WITH - MAP REF 
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n- Condestável Underhill - 28.7S, 49.3W - The Comb and Wattle Inn - Bree-land");
	
	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");
	
	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n'Bem, suponho que você esteja certo. Eu deveria ter certeza que aqueles Blackwolds não estão se escondendo naquela caverna deles novamente, reunindo suas forças. Mas vou querer uma ajuda!\nVocê viajaria comigo para o antigo esconderijo de Skunkwood? Fica ao sul da guarita no extremo nordeste de Staddle Pond, perto de Staddle Falls. Se eles estão se reunindo lá, vou precisar de sua ajuda para expulsá-los de novo! Quando estiver pronto, volte e iremos juntos ao antigo esconderijo.'");
	
	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");
	
	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nA pedido de Strider, você viajou para Combe para ajudar o Condestável Underhill a investigar se os bandidos Blackwold não são mais uma ameaça para o povo de Chetwood.");
	
	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");
	
	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n1- Fale com o Condestável Underhill\nO antigo esconderijo dos Blackwolds é encontrado ao sul da guarita de Combe, perto de Staddle Falls, no extremo nordeste do lago Staddle.\nO Condestável Underhill decidiu que provavelmente é uma boa ideia dar uma olhada no antigo esconderijo dos Blackwolds, para ter certeza de que eles não estão se reunindo lá novamente. Ele pediu, no entanto, que você o acompanhasse.\n   Condestável Underhill: 'Tudo bem, estou pronto para ir. Você também?'\nComplete a Instance: Blackwolds Broken\n\n2- Fale com o Condestável Underhill.\nVocê se infiltrou no esconderijo dos Blackwolds e derrotou vários deles, a pedido do Condestável Underhill.\n   Condestável Underhill: 'Bom show! Bom show mesmo! Você com certeza mostrou a esses patifes Blackwolds o que é bom para tosse!'");
	
	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\\nFale com o Condestável Underhill para entrar na Instance: Blackwolds Broken, nível recomendado 15. \nFale com ele novamente e complete a Instance e esta missão");
	
	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nCréditos e Autoria: ");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("Redigido por Dastan e patrocinado por Samir Alves");
	
	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height);
	end
	
	Window.Start(self);
end

function Book_1_Chapter_3_Blackwolds_Broken:Stop()	
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end

-- Register an instance of this example.
RegisterWindow(Book_1_Chapter_3_Blackwolds_Broken());
