Book_1_Chapter_4_Dark_Designs = class(Window);

function Book_1_Chapter_4_Dark_Designs: GetName()
	return "Book 1, Chapter 4: Dark Designs";
end

function Book_1_Chapter_4_Dark_Designs: IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_4_Dark_Designs: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 1, Capítulo 4: Planos Sombrios"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Condestável Underhill - 28.7S, 49.3W - The Comb and Wattle Inn - Bree-land");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nBom dia para você. O que você ainda está fazendo por aqui? Aqueles Blackwolds se foram, e provavelmente para sempre. Aquele anão estranho ainda pode estar por aí, mas aposto que ele foi para algum lugar um pouco mais interessante.\nVocê deveria levar essa notícia para seu amigo Strider na cidade de Bree. Se ele mandou você para cá, ele provavelmente quer saber o que encontramos! Ele provavelmente estará no Pônei Saltitante. Esses Rangers certamente gostam de sua cerveja, e o Pônei tem a melhor!\nObrigado pela ajuda, mas não adianta mais se preocupar com bandidos por aqui.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nDe um bandido moribundo no antigo esconderijo de Skunkwood, você soube que o estranho Anão Pálido estava tentando intimidar os Blackwolds em continuar sua aliança com o reino bruxo de Angmar.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com Strider\nStrider está em seu quarto no The Prancing Pony Inn em Bree, que é encontrado virando à esquerda no corredor para fora da sala comum até que você só consiga virar à direita. A sala fica no final do corredor à direita das escadas.\nVocê deve voltar a Strider e contar a ele o que você aprendeu sobre Blackwolds e o Anão Pálido.\n   Carrapicho(dono da estalagem): 'Meu amigo ! Você parece bem cansado, sem onfesa. Você estaria precisando de uma cerveja, talvez? Não?\nBem, se você está procurando por aquele Ranger, Strider, ele está em seu quarto. Apenas siga o corredor à esquerda e vire à direita no final.\n   Strider: 'Você voltou e bem na hora! Muita coisa aconteceu desde que você partiu, mas tenho pouco tempo para relatar. As notícias que você me trouxe serão de grande utilidade para meus homens aqui em Bree-land, mas há uma ameaça mais imediata com a qual devemos lidar agora.\nEnquanto você estava fora, aqueles mesmos Nazgûl que você viu com Amdir atacaram o Pônei. Eles estavam em busca dos viajantes que eu estava esperando, quatro hobbits do Condado. Não posso lhe dizer por que eles tinham tanto interesse em meus companheiros, mas posso lhe dizer que precisarei de sua ajuda novamente.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nAo aceitar esta missão, você será teleportado para a entrada principal do Pônei Saltitante\nComentário: A referência de Strider a 'quatro hobbits do Condado' data essa missão para aproximadamente TA(Terceira Era) 3018, 30 de setembro .\nFrodo e seus companheiros chegaram ao Pônei e encontraram Strider em 29 de setembro. Durante a noite, seu quarto foi atacado enquanto eles se protegiam na sala principal. Em 30 de setembro eles partiram em direção ao Topo do Vento.\nTarde da noite de 30 de setembro Gandalf chegou ao Pônei. Ele deixou Bree no dia seguinte.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido por Dastan e patrocinado por Samir Alves");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_1_Chapter_4_Dark_Designs:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_1_Chapter_4_Dark_Designs()); 