Book_1_Chapter_5_The_Other_Riders = class(Window);

function Book_1_Chapter_5_The_Other_Riders: GetName()
	return "Book 1, Chapter 5: The Other Riders";
end

function Book_1_Chapter_5_The_Other_Riders: IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_5_The_Other_Riders: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 1, Capítulo 5: Os Outros Cavaleiros"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Strider - 29.6S, 51.2W - The Prancing Pony - Bree");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nEnquanto você e eu vimos cinco Nazgûl, seu verdadeiro número é nove. Antes que eu possa cuidar de minhas responsabilidades fora de Bree, preciso saber onde os outros quatro estão escondidos.\nVocê viajaria para o oeste e falaria com Lenglinn? Mandei-o para Buckland para vigiar um hobbit em particular, mas parece que o Sr. Underhill e seus amigos decidiram seguir um caminho diferente e agora estão aqui sob minha proteção. Ainda assim, Lenglinn pode saber o paradeiro dos outros Nazgûl.\nEle acampa em uma elevação ao norte do Portão de Buckland e pode ter visto algo que vai me ajudar. Você deve se apressar. Não posso me dar ao luxo de demorar muito aqui.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nEnquanto você estava investigando os bandidos de Blackwold, cinco Nazgûl atacaram o Pônei Saltitante em busca de quatro viajantes do Condado, que Strider tinha sob sua proteção. Strider lhe disse que há um total de nove Cavaleiros, e que ele deve precisa a localização dos outros quatro.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com a Lenglin\nO acampamento de Lenglinn fica em uma elevação ao norte do Buckland Gate, ao longo da Great East Road, a oeste de Bree.\nStrider pediu que você fale com Lenglinn, outro Ranger, e descubra se ele viu algum outro Nazgûl saindo do Condado.\n   Strider: 'Seja rápido! Devo saber a localização dos outros quatro cavaleiros se quiser ajudar os viajantes a escaparem de Bree com segurança.\nViaje para o oeste e fale com Lenglinn. Ele acampa ao norte do Buckland Gate. Ele pode ter visto um ou mais Nazgûl lá.'\n   Lenglinn: 'Aragorn enviou ajuda! Nazgûl, mais quatro, estavam em Buckland. Eles cavalgaram rapidamente para o leste, em cavalos negros. Eu fui tolo o suficiente para ficar no caminho deles, e eles me atropelaram.\nVou me curar com o tempo, mas os Cavaleiros deixaram uma ameaça em seu rastro que precisa ser enfrentada. Devo pedir sua ajuda.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nFale com Lenglinn a leste de Bree subindo uma colina perto de Buckland - 30.1S, 61.3W.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido por Dastan e patrocinado por Samir Alves");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_1_Chapter_5_The_Other_Riders:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_1_Chapter_5_The_Other_Riders()); 