Instance_Unravelling_the_Thread = class(Window);

function Instance_Unravelling_the_Thread: GetName()
	return "Instance: Unravelling the Thread";
end

function Instance_Unravelling_the_Thread: IsRunning()
	return (self.window ~= nil);
end

function Instance_Unravelling_the_Thread: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Instância: Desvendando o fio"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Strider (Passolargo) - 29.6S, 51.2W - The Prancing Pony - Bree");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n'Strider e os Rangers perseguem seu irmão amaldiçoado Amdir até o acampamento dos Blackwolds em Ost Baranor, mas nem tudo é o que parece...'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nStrider pediu que você o ajudasse a lidar com Amdir de uma vez por todas.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com Strider\nStrider, Torthann e Lenglinn, levaram você para os arredores do acampamento dos bandidos.\nStrider acena para você.\n   Torthann: 'Eu desejo acabar com esses bandidos, mas você deveria falar com Strider primeiro. Ele está comandando  nossos esforços.\n   Strider: 'Você pode sentir o frio no ar? Não é um frio natural, mas o frio do medo, do mal. Não duvido que Amdir esteja aqui, mas há um mal maior também.\nDevemos dividir nossas forças. Para o bem da Terra-Média, ninguém pode escapar. Lenglinn e eu procuraremos outro caminho para dentro, enquanto você e Torthann procuram por Amdir.\nDevemos ser rápidos agora, antes que o mal escape daqui e ameace toda a terra Bree-land.\nLenglinn diz: 'O terror que é Amdir deve acabar agora!'\nStrider diz: 'É hora de agirmos.'\nStrider diz: 'Torthann, leve-o com você e vá para o portão principal.'\nStrider diz: 'Lenglinn e eu devemos procurar outra entrada e pressionar o ataque de lá.'\nTorthann diz: 'Sim, senhor.'\nStrider diz: 'Bom. Lenglinn, vamos embora.'\n\n2- Ajude Torthann a entrar no acampamento Blackwold\nStrider lhe disse para falar com Torthann quando estiver pronto para começar sua busca por Amdir. Strider e Lenglinn encontrarão um caminho pela parte de trás.\n   Torthann: 'Venha comigo. É hora de lidar com Amdir e esses bandidos. Se Amdir escapar, pode significar a ruína para a Terra-Média.\nTorthann diz: 'Devemos ir! Devemos encontrar Amdir!'\nTorthann diz: 'Espere! Alguém está vindo. Vamos ver quem é!'\nBlackwold Enforcer diz: 'O que eram essas coisas? Aquele anão enlouqueceu!'\nTorthann diz: 'Bandidos! Peguem-nos!'\nTorthann diz: 'Avante! Devemos encontrar Amdir!'\nBlackwold Enforcer diz: 'Morra, em nome dos Blackwold!'\nBlackwold Enforcer diz: 'Tudo está ficando escuro...'\nBlackwold Cutthroat diz: 'Vá embora!'\nTorthann diz: 'Se você precisa descansar, então agora é a hora de fortalecer seus nervos!'\n\n3- Descubra o que está causando o medo dos bandidos\nStrider lhe disse para falar com Torthann quando estiver pronto para começar sua busca por Amdir. Strider e Lenglinn encontrarão um caminho pela parte de trás.\n   Torthann: 'Lá embaixo, no canto sul do acampamento... a fonte do medo dos Blackwolds está lá! Venha!'\nTorthann diz: 'Deixe-me examinar este portão.'\n\n4- Descubra o que está causando o medo dos bandidos\nTorthann sentiu a origem do medo dos bandidos no canto sul do acampamento. Você deveria investigar.\nSkorgrím diz: 'Por que você está tão preocupado, Blackwold?\nBlackwold Informant diz: 'O que você quer comigo! Eu não sei de nada!'\nBlackwold Informant diz: 'Não, não, não! Fique longe!'\nSkorgrím diz: 'Pronto, pronto. Não há necessidade de preocupação... ainda.'\nSkorgrím diz: 'Você achou que o serviço a Angmar veio sem custo?'\nSkorgrím diz: 'Ah! Eu os encontrei afinal. Você está liberado de suas obrigações, Blackwold.'\nSkorgrím diz: 'Agora, vamos lidar com você, Ranger!'\n\n5- Defenda Torthann enquanto ele procura o mal no acampamento dos bandidos\nTorthann sentiu a origem do medo dos bandidos no canto sul do acampamento. Você deveria investigar.\nSkorgrím diz: 'Tenho outros negócios para tratar... meu servo tratará de você!'\nBlackwold Informant diz: 'Não, não, não! Fique longe!'\n\n6- Fale com Torthann\nTorthann sentiu a origem do medo dos bandidos no canto sul do acampamento. Você deveria investigar.\n   Torthann: 'Quem era aquele anão e que poder ele tem para comandar mortos-vivos? É certo que os Blackwolds estavam aterrorizados com aquela criatura, mas ainda sinto algo ainda maior nessas ruínas.\nE onde está Amdir? Talvez além daquele portão.\nTorthann diz: 'Venha amigo, este não é o fim do nosso missão aqui!'\nTorthann diz: 'Temo que aquele anão imundo não seja o fim do mal aqui.'\nTorthann diz: 'Os maiores males podem estar por trás deste portão. Descanse agora, pois precisaremos de toda a nossa força à frente!'\n\n7- Defenda Torthann enquanto ele procura por Amdir\nTorthann não está convencido de que o mal terminou com a criatura e pensa que Amdir está em algum lugar próximo. Talvez haja mais lugares nesse acampamento.\nTorthann diz: 'Não perca a coragem!'\n   Nazgûl diz: 'Você não deve interferir!'\nNazgûl diz: 'Amdir agora é um servo do Grande Olho!'\nNazgûl diz: 'Agora, Amdir! Assuma as vestes de Cargûl - o Renegado!'\nÉogan diz: 'Meus Senhores! Os Rangers se aproximam com fogo!'\nNazgûl diz: 'Os tolos estão muito atrasados. A mudança de Amdir está quase completa!'\nNazgûl diz: 'Venham, irmãos, devemos partir. Agora não é hora para tal luta.'\nNazgûl diz: 'Deixamos Amdir e esses tolos aos seus cuidados, Éogan!'\nÉogan diz: 'Sim, meu senhor!'\nStrider diz: 'Você não pertence a esse lugar, Nazgûl!'\nÉogan diz: 'Obedeceremos suas ordens, Mestre!'\nLenglinn diz: 'Não os deixe escapar!'\nAmdir diz: 'Você está muito atrasado! Eu sou um Cargûl! Eu sirvo o Grande Olho!'\nTorthann diz: 'Sinto muito, Amdir... fique em paz...'\n\n8- Fale com Torthann\nTorthann acena para você.\n   Torthann: 'É um dia triste e alegre. Dói-me que tenhamos sido forçados a matar Amdir, mas é um alívio que agora ele conheça a paz.\nVou levá-lo de volta a Strider. Voltarei ao meu acampamento.\n   Torthann: 'O próprio ar parece poluído pelo que aconteceu esta noite. Não devemos mais ficar aqui.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nFale com o Strider\nSiga e defenda Torthann\nQuando ele fizer uma pausa, descanse e fale com ele - acontece duas vezes\nDerrote Éogan e o Cargúl Amdir\nFale com Torthann para sair da instância");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nRedigido por Dastan e patrocinado por Farannak");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Instance_Unravelling_the_Thread:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Instance_Unravelling_the_Thread()); 