Foreword_Sons_and_Fathers = class(Window);

function Foreword_Sons_and_Fathers: GetName()
	return "Foreword: Sons and Fathers";
end

function Foreword_Sons_and_Fathers: IsRunning()
	return (self.window ~= nil);
end

function Foreword_Sons_and_Fathers: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Prefácio: Filhos e Pais"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Gimli - 30.7S, 6.2W - The Guest Rooms - Rivendell");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n'Saudações para você, < nome >. Valfenda deve parecer um lar para você, mas para um anão não é tão confortável; Estou pronto para encerar toda essa espera. Dê-me cabeças de goblins para rachar!\nSe você quiser, por que não levar esta mensagem para meu pai em seu acampamento nas montanhas? Pergunte a ele o que ele acha da probabilidade de Gandalf nos deixar ir aos salões de Balin, em Khazad-dûm. Pode ser que Balin tenha encontrado o anel de Thrór em algum lugar de Moria! Isso não seria fantástico? Um dos anéis dos anões poderia ser um verdadeiro benefício para nossa causa contra o Inimigo, você não acha?\nO acampamento de meu pai Glóin fica ao norte de Valfenda, nas Montanhas Sombrias.'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nGimli está analisando a jornada da Comitiva, mas está ansioso para que ela comece. Ele já refletiu sobre o que está por vir por tempo suficiente.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com Glóin\nGlóin está em seu acampamento nas Montanhas Sombrias, ao norte de Valfenda.\nGimli pediu que você falasse com o pai dele sobre a possibilidade de Gandalf trazer a companhia através de Moria, para os salões de Balin.\n   Gimli: 'Meu pai está em seu acampamento nas Montanhas Sombrias, ao norte de Valfenda. Pergunte a ele se ele acha que Gandalf pode nos deixar visitar Balin em Khazad-dûm. Imagine que benção seria se ele encontrou o anel de Thrór lá!'\n   Glóin: 'Meu filho não é tão atento quanto ele acredita estar, < nome >, se pensa que Balin pode ter encontrado o anel de Thrór dentro de Khazad-dûm. Gandalf nos contou o destino do anel de Thrór enquanto estava no Conselho.\nMeu filho e eu somos anões, < nome >, e entendemos o chamado de pedras e gemas. Em todo o meu povo há um desejo adormecido de ver os salões de Khazad-dûm vivos e brilhando mais uma vez. Pode ser que Balin filho de Fundin trabalhe lá agora, restaurando o esplendor de suas antigas cidades, mas eu não sei se é uma esperança concreta. Não há notícias de Moria há muitos anos.\nNão posso contar ao meu filho o que Gandalf pensa; você mesmo deve falar com o Mago se quiser saber seus planos. Acredito que ele esteja no quarto de Bilbo no andar térreo da Casa de Elrond. Fale com ele para saber de Moria, pois eu não falarei mais sobre isso.\n\n2- Fale com Gandalf em Valfenda\nGandalf está no quarto de Bilbo no andar térreo da Casa de Elrond, em Valfenda.\nGlóin enviou você a Gandalf para perguntar sobre Moria e o anel de Thrór em nome de Gimli.\n   Glóin: 'Não pretendo conhecer as mentes dos magos, < nome >. Fale com Gandalf se quiser saber mais sobre seus planos para a comitiva. Você o encontrará no quarto de Bilbo no andar térreo da Casa de Elrond, acredito eu'.\n   Gandalf: 'Muitos problemas poderiam ser evitados e muito tempo economizado se certos grupos prestassem mais atenção às coisas que lhes são ditas: se Gimli filho de Glóin não estava interessado em ouvir as histórias contadas no conselho, ele deveria ter dado seu assento para outra pessoa!\nSeu pai está certo: Balin não poderia ter encontrado em Moria o anel de Thrór, o último dos anéis dos anões forjados antigamente, pois embora tenha sido dado de Thrór a seu filho Thráin, foi tomado de Thráin no cativeiro.\nQuanto ao próprio Balin, a falta de notícias de Moria é preocupante, mas não vou meditar desnecessariamente sobre seu destino. Retorne a Gimli e diga-lhe que a missão da Comitiva deve ser a primeira em seus pensamentos. Não há espaço para outras preocupações.\n\n3- Fale com Gimli em Valfenda\nGimli está em um dos quartos ao longo da estrada que serpenteia pela encosta sul do Vale de Imladris.\nGandalf repreendeu Gimli por desatenção e o incitou a pensar apenas na missão da comitiva.\nGandalf: 'Gimli está em um dos quartos de hóspedes ao longo da estrada que serpenteia a encosta sul do Vale de Imladris, com os outros membros da Comitiva.'\nPara personagens elfos\nGimli: 'Gandalf tem isso a dizer, < nome > ? Eu não tenho culpa se a mente divagar durante uma discussão tão longa - você é um Elfo, e não como eu. Sou um anão de ação, dado a brigas e farras, não a conversa fiada!'\nOu para personagens anões\nGimli: 'Gandalf tem isso a dizer, < nome > ? Eu não tenho culpa se a mente divagar durante uma discussão tão longa – você e eu somos anões da ação, dados a brigas e farras, não conversa fiada.'\nPara ambas as raças\n'Obrigado por sua ajuda. É de se esperar que o trabalho de Balin em Moria prospere e que Khazad-dûm brilhe novamente! Talvez se a missão da comitiva for bem sucedida, um dia eu vá lá e dê meu braço forte aos trabalhos! Tenho certeza que Balin apreciará minha ajuda!\nE agradeço sua ajuda hoje. Você parece um bom tipo, para um < raça >.'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nGlóin está no Glóin's Camp - 24.8S, 4.1W.\nGandalf está no quarto de Bilbo.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Brenommorpg");

	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Foreword_Sons_and_Fathers:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Foreword_Sons_and_Fathers()); 