Foreword_Unlikely_Fellowship = class(Window);

function Foreword_Unlikely_Fellowship: GetName()
	return "Foreword: Unlikely Fellowship";
end

function Foreword_Unlikely_Fellowship: IsRunning()
	return (self.window ~= nil);
end

function Foreword_Unlikely_Fellowship: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Prefácio: Sociedade Improvável"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);

	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Barbethnir - 29.9S, 3.5W - The Last Homely House- Rivendell OU\n- Capitão-General Daerdan 19.1S, 71.0W - Echad Garthadir - Annúminas OU\n- Fimreg 10.9N, 23.9W - Gath Forthnír - Angmar OU \n- Nogmeldir 23.3S, 4.3E - Vindurhal - Misty Mountains");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nCapitão-General Daerdan: 'Uma convocação chegou aqui pelo corvo esta manhã, < nome >, chamando você para a Casa de Elrond, bem ao leste. Não sei por que Elrond Meio-Elfo solicita sua presença, mas deve ser para uma missão de alguma urgência se ele enviou corvos voando aqui para Echad Garthadir.\nNão invejo seu povo por suas longas vidas, < nome >, mas gostaria de saber se você diria ao seu mestre para não esquecer a Raça dos Homens. Somos robustos e fortes de coração, embora vivamos por um período mais curto. Alguns diriam que queimamos mais brilhantemente por isso.\n'Você encontrará Mestre Elrond em sua casa em Valfenda, é claro.'\nOU\nNogmeldir: ' < nome >, eu tenho uma mensagem para você: Mestre Elrond solicita sua presença em Valfenda com alguma urgência. Seu mensageiro não revelou o motivo dessa convocação, mas sua importância não pode ser questionada.\nDesça das montanhas e volte para o vale de Valfenda para que você possa falar com Elrond na casa dele.'\nOU:\nBarbethnir: 'Mestre Elrond deseja falar com você, < nome >, sobre um assunto de alguma urgência. Não sei o que pode ser, mas entendo que afeta diretamente nosso povo.\nVá para dentro e fale com Mestre Elrond em sua biblioteca.'\nOU:\nFimreg: ' < nome >, posso dar uma palavrinha com você? Mestre Elrond solicita sua presença em Valfenda com alguma urgência. Seu mensageiro não revelou o motivo dessa convocação, mas deve ser importante. Nosso povo sabe que Elrond não nos chama para seu refúgio sem necessidade.\nViaje pela estrada oriental além de Trollshaws até o vale escondido de Valfenda e fale com Elrond em sua casa. Deve ser importante.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nA sombra do mal crescente ameaça até a segurança de Rivendell, e todos os Povos Livres devem se unir para se defender contra isso.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com Elrond\nElrond lhe espera na biblioteca de sua casa em Valfenda.\nElrond Meio-Elfo convocou você para falar com ele sobre algum assunto urgente.\n   Nogmeldir: 'Retorne ao Vale de Imladris e fale com o Mestre Elrond na biblioteca de sua casa.'\n   Barbethnir: 'Entre na casa e fale com Elrond em sua biblioteca.'\n   Fimreg: 'Viaje para a Casa de Elrond, em Valfenda, para ver que ajuda você pode prestar a ele.'\n   Elrond: 'Bem-vindo como sempre a Imladris, < nome >. Tenho o prazer de vê-lo bem.\n'Uma pequena comitiva em breve iniciará uma missão de grande sigilo para combater essa escuridão crescente; Eu receio falar em detalhes de sua missão, mas saiba que isso causará grande dano aos Inimigos desta Era se eles tiverem sucesso.\nEntre esta comitiva está um anão chamado Gimli, e um Elfo da Floresta das Trevas chamado Legolas; ele é um príncipe desse povo. Eles devem trabalhar juntos para que sua missão seja bem-sucedida, mas há algum tempo elfos e anões têm sido... reticentes... em fazê-lo. Eu gostaria que você os ajudasse com seus preparativos. Pelo seu exemplo, espero que deixem de lado suas diferenças.\nProcure-os em um dos quartos de hóspedes ao longo da estrada que serpenteia pela encosta sul do Vale de Imladris.\n\n2- Ajude Gimli e Legolas com seus preparativos\nLegolas e Gimli estão em um dos quartos ao longo da estrada que serpenteia pela encosta sul do Vale de Imladris.\nElrond pediu para você ajudar Legolas, o Elfo, e Gimli, o Anão, com os preparativos para a jornada.\n   Elrond: 'Você encontrará Legolas e Gimli em um dos quartos de hóspedes ao longo da estrada que serpenteia pela encosta sul do Vale de Imladris. Ajude-os com seus preparativos, para que aprendam a cooperar uns com os outros pelo seu exemplo.'\nVocê ajudou Gimli com seus preparativos\nVocê ajudou Legolas com seus preparativos\n\n3 - Fale com Elrond\nElrond está na biblioteca de sua casa em Valfenda.\nVocê ajudou Legolas e Gimli com seus preparativos e deve falar agora com Elrond.\n   Elrond: 'Obrigado por ajudar Legolas e Gimli com seus preparativos, < nome >. Eles devem aprender a trabalhar juntos para que a missão de sua comitiva termine em sucesso.'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nEsta missão pode ser concedida por qualquer um dos 4 NPCs citados.\nLegolas e Gimli estão nos quartos de hóspedes - 30.70S, 6.2W.\nComplete as duas quests que eles lhe darão.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Brenommorpg");

	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Foreword_Unlikely_Fellowship:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Foreword_Unlikely_Fellowship()); 