Lost_Dog = class(Window);

function Lost_Dog:GetName()
	return "Lost Dog";
end

function Lost_Dog:IsRunning()
	return (self.window ~= nil);
end

function Lost_Dog:Start()	
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Cachorrinho Perdido");--título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end
	
	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);
	
	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");
	
	-- adiciona (append) STARTS WITH - MAP REF 
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n-Ronald Dwale - 21.2S, 64.5W - Evendim");
	
	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");
	
	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n'Deve ter sido o começo do outono; eu estava com meu filho nas margens do Rio Brandywine, aproveitando um lindo dia de sol, uma boa refeição em um piquenique e um cachimbo cheio do melhor fumo da quarta oeste do condado, enquanto ele se sentava e brincava com seu brinquedo favorito - um pedaço de chumbo moldado em um cachorrinho - ao lado do Rio.\nMeu menino gostava muito deste brinquedo, mas quando chegou a hora de sair, não estava em lugar nenhum. Tentei consolá-lo com uma de minhas histórias. Eu criei um conto maravilhoso sobre o paradeiro do brinquedo, mas se você está indo nessa direção, talvez você possa procurá-lo?\nO brinquedo deve estar em algum lugar no Barandalf, nos pântanos de areia ao norte e leste de Dwaling. Ouvi dizer que estranhas criaturas escavadoras habitaram a área desde então. Há uma boa chance de um deles ter engolido, pensando que era comida.'");
	
	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");
	
	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nO filho de Ronald Dwale perdeu um cachorrinho de brinquedo e está muito chateado.");
	
	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");
	
	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n1- Encontre o pequeno cachorrinho de chumbo\nO Barandalf fica ao norte e um pouco a leste de Dwaling.\nRonald pediu que você vasculhasse as margens do rio Brandywine nos pântanos de areia para encontrar o brinquedo perdido de seu filho. Ele lhe disse que um dos insetos escavadores pode tê-lo levado.\n\n2- Fale com Ronald Dwale\nRonald Dwale está na casa de Hob Hillbrow em Bullroarer's Sward em Dwaling, ao sul de Barandalf.\nVocê deve devolver o cachorro de brinquedo para Ronald Dwale. \n   Ronald: 'Você conseguiu encontrar o brinquedo? Ah, eu vejo que sim. Muito obrigado a você!'");
	
	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nPasso a Passo:\nViaje para a Barandalf, a nordeste do acampamento. Haverá muitos Burrowing Sand-norbog lá; vá para as margens do rio Brandywine e comece a matá-los. O cachorrinho de chumbo estará em um dos mortos.\nInspiração do mundo real:\nEsta série de missões é uma homenagem à vida e aos escritos de JRR Tolkien através do personagem Ronald Dwale, um análogo do jogo para Tolkien. Esta missão em particular é uma referência à história, Roverandom, que Tolkien criou para seu filho Michael depois que Michael perdeu seu brinquedo favorito, um cachorrinho de chumbo.\nInicialmente submetido para publicação em 1936, seu livro não foi publicado até 1998.\nRoverandom é a história de um cachorrinho chamado Rover que é magicamente transformado em brinquedo por um mago. Rover tem muitas aventuras fantásticas em busca do mago que o prejudicou e finalmente recupera sua vida.\nEssa é a quest 1 de 3 da sequência 'Missing the Meeting'");
	
	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nCréditos e Autoria: ");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nRedigido por Dastan e patrocinado por Farannak");
	
	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height);
	end
	
	Window.Start(self);
end

function Lost_Dog:Stop()	
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end

-- Register an instance of this example.
RegisterWindow(Lost_Dog());
