Recovering_the_Lost_Leaf = class(Window);

function Recovering_the_Lost_Leaf:GetName()
	return "Recovering the Lost Leaf";
end

function Recovering_the_Lost_Leaf:IsRunning()
	return (self.window ~= nil);
end

function Recovering_the_Lost_Leaf:Start()	
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Recuperando a Folha Perdida"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);
	
	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");
	
	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Ronald Dwale - 21.2S, 64.5W - Evendim");
	
	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");
	
	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n'Se minha última tarefa não foi muito cansativa, preciso muito da ajuda de um colega amante da palavra escrita. Espero que esteja interessado em me ajudar.\nNão faz muito tempo, parece que perdi uma folha de papel muito importante enquanto caminhava com minhas anotações. Este artigo contém as linhas iniciais de uma história que eu planejava escrever para meus filhos e que vem se desenvolvendo em minha cabeça há algum tempo. Agora que a maior parte da cidade foi vendida, não consegui procurar meu manuscrito. A última vez que tentei dar uma olhada ao redor, fui perseguido por um grupo de bandidos.\nEu reescreveria, mas não consigo me lembrar das palavras exatas. Se você pudesse encontrá-lo, eu ficarei profundamente em dívida com você. Acho que deixei cair em algum lugar da cidade.'");
	
	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");
	
	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nRonald Dwale perdeu uma importante folha de papel.");
	
	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");
	
	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Encontre a folha de papel perdida\nRonald Dwale se lembra de ter deixado seu papel em algum lugar em Dwaling, ao norte de Bullroarer's Sward.\nRonald Dwale pediu que você encontrasse sua folha de papel perdida.\n\n2- Fale com Ronald Dwale\nRonald Dwale está na casa de Hob Hillbrow em Bullroarer's Sward em Dwaling.\nVocê deve devolver a folha de papel para Ronald Dwale.\n   Ronald Dwale: 'Eu simplesmente não posso começar meu livro sem essa página. Você já encontrou?\n   'Ah, eu vejo que você sim. Muito Obrigado!'");
	
	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nPartindo da casa de Ronald Dwale, corra para a cidade de Dwaling, depois desça o caminho até a parte inferior da cidade. A folha de papel está no chão em frente à terceira casa do lado direito do caminho - 20,9S, 64,1W\nEsta série de missões é uma homenagem à vida e aos escritos de JRR Tolkien através do personagem Ronald Dwale, um análogo do jogo para o próprio Prof. Tolkien. Esta missão em particular é uma referência à história de como o escritor começou a criar o seu livro mais importante, aquele que dá início a todas as aventuras da Terra Média, O Hobbit. Nele, seu personagem mais famoso, Bilbo Bolseiro, parte em uma aventura para recuperar a terra dos anões e matar um dragão chamado Smaug, O Dourado.\nEssa é a quest 2 de 3 da sequência 'Missing the Meeting'");
	
	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nRedigido por Dastan e patrocinado por Farannak");
	
	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height);
	end
	
	Window.Start(self);
end

function Recovering_the_Lost_Leaf:Stop()	
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end

-- Register an instance of this example.
RegisterWindow(Recovering_the_Lost_Leaf());
